<?php

declare(strict_types=1);

namespace Seka\Portal\Modul\Terminy\Entities\MoznostiUdalosti;

use Spatie\Enum\Laravel\Enum;

/**
 * Class StavUdalostiEnum
 *
 * @method static self ZVEREJNENA()
 * @method static self NEZVEREJNENA()
 *
 * @package Seka\Portal\Modul\Terminy\Entities\Udalost
 */
final class StavMoznostiUdalostiEnum extends Enum
{
    /**
     * @return string[]
     */
    protected static function labels(): array
    {
        return [
            'ZVEREJNENA' => 'zverejnená',
            'NEZVEREJNENA' => 'nezverejnená',
        ];
    }

    /**
     * @return string
     */
    public function color(): string
    {
        switch ($this->value) {
            case 'ZVEREJNENA':
                return '#adbadd';
            default:
                return '#c0d1d8';
        }
    }
}
